Subject: installer: Provide a way to select multiple keyboard layouts

From: Mathieu Othacehe <[email-masked]>
Date: Tue, 07 Apr 2020 19:12:34 +0200

Hello,

The installer gained support for keyboard layout switching from every
step recently[1].

It is also possible with commit 2729cb406d9f3e9eb22cc660f887138134edb3a8
to specify comma-separated keyboard layouts, this way:

--8<---------------cut here---------------start------------->8---
(keyboard-layout "ar,us" #:options '("grp:alt_shift_toggle"))
--8<---------------cut here---------------end--------------->8---

Now it would be nice to support multiple keyboard layout selection from
the installer, so that a configuration like to one above is generated.

Thanks,

Mathieu

[1]: https://lists.gnu.org/archive/html/bug-guix/2020-03/msg00381.html